Commit 2a00a96f authored by Andreas Marek's avatar Andreas Marek
Browse files

Better pattern matching in CI script

parent be19d791
...@@ -148,14 +148,14 @@ python-intel-intel-mpi-openmp: ...@@ -148,14 +148,14 @@ python-intel-intel-mpi-openmp:
- ./ci_test_scripts/run_ci_tests.sh -c "CC=\"mpiicc\" CFLAGS=\"-O3 -xAVX\" FC=\"mpiifort\" FCFLAGS=\"-O3 -xAVX\" SCALAPACK_LDFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP \" SCALAPACK_FCFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP \" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests" -j 8 -t 2 -m $MATRIX_SIZE -n $NUMBER_OF_EIGENVECTORS -b $BLOCK_SIZE -s $SKIP_STEP -i $INTERACTIVE_RUN -S $SLURM - ./ci_test_scripts/run_ci_tests.sh -c "CC=\"mpiicc\" CFLAGS=\"-O3 -xAVX\" FC=\"mpiifort\" FCFLAGS=\"-O3 -xAVX\" SCALAPACK_LDFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP \" SCALAPACK_FCFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP \" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests" -j 8 -t 2 -m $MATRIX_SIZE -n $NUMBER_OF_EIGENVECTORS -b $BLOCK_SIZE -s $SKIP_STEP -i $INTERACTIVE_RUN -S $SLURM
   
   
python-distcheck: #python-distcheck:
tags: # tags:
- python # - python
script: # script:
- ./configure CC="mpiicc" CFLAGS="-O3 -xAVX" FC="mpiifort" FCFLAGS="-O3 -xAVX" SCALAPACK_LDFLAGS="$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP" SCALAPACK_FCFLAGS="$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests || { cat config.log; exit 1; } # - ./configure CC="mpiicc" CFLAGS="-O3 -xAVX" FC="mpiifort" FCFLAGS="-O3 -xAVX" SCALAPACK_LDFLAGS="$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP" SCALAPACK_FCFLAGS="$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests || { cat config.log; exit 1; }
# stupid 'make distcheck' leaves behind write-protected files that the stupid gitlab runner cannot remove # # stupid 'make distcheck' leaves behind write-protected files that the stupid gitlab runner cannot remove
- make distcheck DISTCHECK_CONFIGURE_FLAGS="CC=\"mpiicc\" CFLAGS=\"-O3 -xAVX\" FC=\"mpiifort\" FCFLAGS=\"-O3 -xAVX\" SCALAPACK_LDFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP \" SCALAPACK_FCFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP \" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests" TASKS=2 TEST_FLAGS="150 50 16" || { chmod u+rwX -R . ; exit 1 ; } # - make distcheck DISTCHECK_CONFIGURE_FLAGS="CC=\"mpiicc\" CFLAGS=\"-O3 -xAVX\" FC=\"mpiifort\" FCFLAGS=\"-O3 -xAVX\" SCALAPACK_LDFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_LDFLAGS_MPI_OMP \" SCALAPACK_FCFLAGS=\"$MKL_ANACONDA_INTEL_SCALAPACK_FCFLAGS_MPI_OMP \" --enable-option-checking=fatal --with-mpi=yes --enable-openmp --disable-gpu --enable-avx --enable-python --enable-python-tests" TASKS=2 TEST_FLAGS="150 50 16" || { chmod u+rwX -R . ; exit 1 ; }
#
   
# test_project_1stage_legacy_api_gnu # test_project_1stage_legacy_api_gnu
test_project_1stage_legacy_api_gnu: test_project_1stage_legacy_api_gnu:
......
...@@ -104,6 +104,9 @@ then ...@@ -104,6 +104,9 @@ then
fi fi
if [ "$slurmBatch" == "yes" ] if [ "$slurmBatch" == "yes" ]
then then
# default exit code
exitCode=1
CLUSTER="" CLUSTER=""
if [[ "$HOST" =~ "cobra" ]] if [[ "$HOST" =~ "cobra" ]]
then then
...@@ -122,10 +125,7 @@ then ...@@ -122,10 +125,7 @@ then
CLUSTER="draco" CLUSTER="draco"
fi fi
echo "Running on $CLUSTER with runner $CI_RUNNER_DESCRIPTION with tag $CI_RUNNER_TAGS"
if [ "$CLUSTER" == "cobra" ]
then
echo "Running on cobra with runner $CI_RUNNER_DESCRIPTION with tag $CI_RUNNER_TAGS"
# GPU runners # GPU runners
if [ "$CI_RUNNER_TAGS" == "gpu" ] if [ "$CI_RUNNER_TAGS" == "gpu" ]
...@@ -142,7 +142,9 @@ then ...@@ -142,7 +142,9 @@ then
sbatch -W ./run_${CLUSTER}_1node_2GPU.sh sbatch -W ./run_${CLUSTER}_1node_2GPU.sh
exitCode=$? exitCode=$?
cat ./ELPA_CI_2gpu.out.* echo " "
echo "Exit Code of sbatch: $exitCode"
echo " "
if (( $exitCode > 0 )) if (( $exitCode > 0 ))
then then
cat ./ELPA_CI_2gpu.err.* cat ./ELPA_CI_2gpu.err.*
...@@ -151,7 +153,7 @@ then ...@@ -151,7 +153,7 @@ then
fi fi
#SSE, AVX, AVX2, and AVX-512 runners #SSE, AVX, AVX2, and AVX-512 runners
if [ "$CI_RUNNER_TAGS" == "sse" ] || [ "$CI_RUNNER_TAGS" == "avx" ] || [ "$CI_RUNNER_TAGS" == "avx2" ] || [ "$CI_RUNNER_TAGS" == "avx512" ] if [[ "$CI_RUNNER_TAGS" =~ "sse" ]] || [[ "$CI_RUNNER_TAGS" =~ "avx" ]] || [[ "$CI_RUNNER_TAGS" =~ "avx2" ]] || [ ["$CI_RUNNER_TAGS" =~ "avx512" ]]
then then
cp $HOME/runners/job_script_templates/run_${CLUSTER}_1node.sh . cp $HOME/runners/job_script_templates/run_${CLUSTER}_1node.sh .
echo "./configure " "$configureArgs" >> ./run_${CLUSTER}_1node.sh echo "./configure " "$configureArgs" >> ./run_${CLUSTER}_1node.sh
...@@ -162,9 +164,12 @@ then ...@@ -162,9 +164,12 @@ then
echo "export TASKS=$mpiTasks" >> ./run_${CLUSTER}_1node.sh echo "export TASKS=$mpiTasks" >> ./run_${CLUSTER}_1node.sh
echo "make check TEST_FLAGS=\" $matrixSize $nrEV $blockSize \" " >> ./run_${CLUSTER}_1node.sh echo "make check TEST_FLAGS=\" $matrixSize $nrEV $blockSize \" " >> ./run_${CLUSTER}_1node.sh
cat ./run_${CLUSTER}_1node.sh
sbatch -W ./run_${CLUSTER}_1node.sh sbatch -W ./run_${CLUSTER}_1node.sh
exitCode=$? exitCode=$?
echo " "
echo "Exit Code of sbatch: $exitCode"
echo " "
cat ./ELPA_CI.out.* cat ./ELPA_CI.out.*
if (( $exitCode > 0 )) if (( $exitCode > 0 ))
then then
...@@ -179,8 +184,6 @@ then ...@@ -179,8 +184,6 @@ then
fi fi
exit $exitCode exit $exitCode
fi
fi fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment